Bug 21588 - Add "Collapse/Expand" options on subscription-detail page
Summary: Add "Collapse/Expand" options on subscription-detail page
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Serials (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 21467
Blocks:
  Show dependency treegraph
 
Reported: 2018-10-17 15:02 UTC by Séverine Queune
Modified: 2019-10-14 20:02 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 21588: Add expand/collapse all links to the "Acquisition details" subscriptions (2.46 KB, patch)
2019-05-09 17:31 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 21588: Add expand/collapse all links to the "Acquisition details" subscriptions (2.50 KB, patch)
2019-05-09 17:46 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 21588: Add expand/collapse all links to the "Acquisition details" subscriptions (2.56 KB, patch)
2019-05-11 09:40 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Séverine Queune 2018-10-17 15:02:18 UTC
Linked to bug 21467.
With the new enhancement that allows partial receipt for subscription, orderlines re displayed with a summary line on /cgi-bin/koha/serials/subscription-detail.pl page.
Would be useful to have a "Collapse all" / "Expand all" options.
Comment 1 Jonathan Druart 2019-05-09 17:31:21 UTC
Created attachment 89518 [details] [review]
Bug 21588: Add expand/collapse all links to the "Acquisition details" subscriptions

In order to make the view cleaner, a librarian may need to expand or
collapse all the orders at once.

Test plan:
- Create a subscription
- Create several orders from this subscription (quantity > 1)
- Receive partially the orders
- Go to the subscription detail page, "Acquisition details" tab
=> Notice the 2 new links "Expand all" and "Collapse all"
Make sure they work as expected.

Also note that a bug has been fixed, when the page is loaded the tree is
now expanded.
Comment 2 Liz Rea 2019-05-09 17:46:08 UTC
Created attachment 89519 [details] [review]
Bug 21588: Add expand/collapse all links to the "Acquisition details" subscriptions

In order to make the view cleaner, a librarian may need to expand or
collapse all the orders at once.

Test plan:
- Create a subscription
- Create several orders from this subscription (quantity > 1)
- Receive partially the orders
- Go to the subscription detail page, "Acquisition details" tab
=> Notice the 2 new links "Expand all" and "Collapse all"
Make sure they work as expected.

Also note that a bug has been fixed, when the page is loaded the tree is
now expanded.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 3 Katrin Fischer 2019-05-11 09:40:55 UTC
Created attachment 89589 [details] [review]
Bug 21588: Add expand/collapse all links to the "Acquisition details" subscriptions

In order to make the view cleaner, a librarian may need to expand or
collapse all the orders at once.

Test plan:
- Create a subscription
- Create several orders from this subscription (quantity > 1)
- Receive partially the orders
- Go to the subscription detail page, "Acquisition details" tab
=> Notice the 2 new links "Expand all" and "Collapse all"
Make sure they work as expected.

Also note that a bug has been fixed, when the page is loaded the tree is
now expanded.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Katrin Fischer 2019-05-11 09:41:20 UTC
Small code change, works well. Includes some strings.
Comment 5 Martin Renvoize 2019-06-24 14:47:53 UTC
Nice work!

Pushed to master for 19.11.00